#include "model.h"
using namespace std;

Model::Model()
{
}

bool Model::load(istream& is)
{
  string indicator;
  is >> indicator;
  while (!is.eof())
  {
    if (indicator == "#")
    {
      string buf;
      getline(is, buf);
    }
    else if (indicator == "g")
    {
      string name;
      is >> name;
      if (name == "default")
      {
        defaultGroup.load(is);
      }
      else
      {
        Mesh a(name, is);
        if (entities.find(a.name) == entities.end())
        {
          entities[a.name] = a;
        }
      }
    }
    is >> indicator;
  }
  return true;
}

void Model::render()
{
  for (MeshMapIterator iter = entities.begin(); iter != entities.end(); iter++)
  {
    iter->second.render(defaultGroup.vertices);
  }
}
